gr::dab::insert_null_symbol_impl Class Reference

`#include <insert_null_symbol_impl.h>`

Inheritance diagram for gr::dab::insert_null_symbol_impl:
[legend]

## Public Member Functions

| insert_null_symbol_impl (int ns_length, int symbol_length)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::insert_null_symbol
typedef std::shared_ptr< insert_null_symbol > | sptr
Static Public Member Functions inherited from gr::dab::insert_null_symbol
static sptr | make (int ns_length, int symbol_length)
| Return a shared_ptr to a new instance of dab::insert_null_symbol.

## Constructor & Destructor Documentation

## insert_null_symbol_impl()

gr::dab::insert_null_symbol_impl::insert_null_symbol_impl | ( | int | ns_length,
|  | int | symbol_length )

## Member Function Documentation

## forecast()

void gr::dab::insert_null_symbol_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::insert_null_symbol_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- insert_null_symbol_impl.h